org.apache.solr.request

## Interface SolrQueryRequest

- All Superinterfaces:
    AutoCloseable
  All Known Implementing Classes:
    LocalSolrQueryRequest, SolrQueryRequestBase

      public interface SolrQueryRequest
      extends AutoCloseable

  Container for a request to execute a query.

  `SolrQueryRequest` is not thread safe.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This method should be called when all uses of this request are finished, so that resources can be freed.
    `Iterable<ContentStream>` | `getContentStreams()` A Collection of ContentStreams passed to the request
    `Map<Object,Object>` | `getContext()` Generic information associated with this request that may be both read and updated.
    `SolrCore` | `getCore()` The solr core (coordinator, etc) associated with this request
    `Map<String,Object>` | `getJSON()` Returns any associated JSON (or null if none) in deserialized generic form.
    `SolrParams` | `getOriginalParams()` Returns the original request parameters.
    `SolrParams` | `getParams()` returns the current request parameters
    `String` | `getParamString()` Returns a string representing all the important parameters.
    `RTimerTree` | `getRequestTimer()` The timer for this request, created when the request started being processed
    `IndexSchema` | `getSchema()` The schema snapshot from core.getLatestSchema() at request creation.
    `SolrIndexSearcher` | `getSearcher()` The index searcher associated with this request
    `long` | `getStartTime()` The start time of this request in milliseconds.
    `Principal` | `getUserPrincipal()`
    `void` | `setJSON(Map<String,Object> json)`
    `void` | `setParams(SolrParams params)` Change the parameters for this request.
    `void` | `updateSchemaToLatest()` Replaces the current schema snapshot with the latest from the core.

- - ### Method Detail

    - #### getParams

          SolrParams getParams()

      returns the current request parameters

    - #### setParams

          void setParams(SolrParams params)

      Change the parameters for this request. This does not affect the original parameters returned by getOriginalParams()

    - #### getContentStreams

          Iterable<ContentStream> getContentStreams()

      A Collection of ContentStreams passed to the request

    - #### getOriginalParams

          SolrParams getOriginalParams()

      Returns the original request parameters. As this does not normally include configured defaults it's more suitable for logging.

    - #### getContext

          Map<Object,Object> getContext()

      Generic information associated with this request that may be both read and updated.

    - #### close

          void close()

      This method should be called when all uses of this request are finished, so that resources can be freed.
      Specified by:
        `close` in interface `AutoCloseable`

    - #### getStartTime

          long getStartTime()

      The start time of this request in milliseconds. Use this only if you need the absolute system time at the start of the request, getRequestTimer() provides a more accurate mechanism for timing purposes.

    - #### getRequestTimer

          RTimerTree getRequestTimer()

      The timer for this request, created when the request started being processed

    - #### getSearcher

          SolrIndexSearcher getSearcher()

      The index searcher associated with this request

    - #### getCore

          SolrCore getCore()

      The solr core (coordinator, etc) associated with this request

    - #### getSchema

          IndexSchema getSchema()

      The schema snapshot from core.getLatestSchema() at request creation.

    - #### updateSchemaToLatest

          void updateSchemaToLatest()

      Replaces the current schema snapshot with the latest from the core.

    - #### getParamString

          String getParamString()

      Returns a string representing all the important parameters. Suitable for logging.

    - #### getJSON

          Map<String,Object> getJSON()

      Returns any associated JSON (or null if none) in deserialized generic form. Java classes used to represent the JSON are as follows: Map, List, String, Long, Double, Boolean

    - #### setJSON

          void setJSON(Map<String,Object> json)

    - #### getUserPrincipal

          Principal getUserPrincipal()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.